#! /bin/bash

if ! command -v otsb_cmd_build > /dev/null; then

    otsb_cmd_build () {

		$make "${make_opt[@]}" "${make_build_args[@]}"
    }

    otsb_hook_push_back options_before _otsb_build_options

    _otsb_build_options () {

		otsb_set make $(command -v make)
		otsb_add_option scalar make     "name of the make command []"
		otsb_add_option array make-opt 'extra options for make; may be specified multiple times'

    }

fi

