#! /bin/bash

if ! command -v otsb_cmd_configure > /dev/null; then

    otsb_cmd_configure () {

	if $(otsb_is_set default-config-opt)
	then

	    ./configure				\
		"${default_config_opt[@]}"	\
		"${config_opt[@]}"

	else

	    ./configure				\
		--prefix=$prefix		\
		--exec-prefix=$exec_prefix	\
		"${config_opt[@]}"

	fi

    }

    otsb_hook_push_back options_before _otsb_configure_options
    _otsb_configure_options () {

		otsb_add_option array  config-opt 'extra options for configure; may be specified multiple times'

    }

fi

